## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pytest-qt
%global forgeurl https://github.com/pytest-dev/pytest-qt

Name:           python-%{pypi_name}
Version:        4.4.0
Release:        %{autorelease}
Summary:        pytest support for PyQt and PySide applications
%global tag %{version}
%forgemeta
License:        MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
# For setuptools-scm
BuildRequires:  git-core

%global _description %{expand:
pytest-qt is a pytest plugin that allows programmers to write tests for
PyQt5, PyQt6, PySide2 and PySide6 applications.

The main usage is to use the qtbot fixture, responsible for handling
qApp creation as needed and provides methods to simulate user
interaction, like key presses and mouse clicks. This allows you to test
and make sure your view layer is behaving the way you expect after each
code change.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1 -S git

# Make sure this is the last step in prep
git tag %{version}


%generate_buildrequires
%pyproject_buildrequires -e %{toxenv}-pyqt6,%{toxenv}-pyside6


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pytestqt


%check
# Some tests fail and I haven't found a way to make them work
k="${k-}${k+ and }not test_qt_api_ini_config"
k="${k-}${k+ and }not test_basic_logging"
k="${k-}${k+ and }not test_qtlog_fixture"
k="${k-}${k+ and }not test_logging_fails_tests"

%tox -e %{toxenv} -- -- ${k+-k }"${k-}"


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGELOG.rst


%changelog
## START: Generated by rpmautospec
* Sat Mar 09 2024 Sandro <devel@penguinpee.nl> - 4.4.0-1
- Initial package
## END: Generated by rpmautospec
